[arch-commits] Commit in aufs/trunk (PKGBUILD vfs_splice.diff)
Paul Mattal
paul at archlinux.org
Fri May 30 12:12:47 UTC 2008
Date: Friday, May 30, 2008 @ 08:12:47
Author: paul
Revision: 2268
upgpkg: aufs 20080527-1
update to 20080527
Modified:
aufs/trunk/PKGBUILD
Deleted:
aufs/trunk/vfs_splice.diff
-----------------+
PKGBUILD | 23 ++++++++++++++++-------
vfs_splice.diff | 24 ------------------------
2 files changed, 16 insertions(+), 31 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2008-05-30 12:12:25 UTC (rev 2267)
+++ PKGBUILD 2008-05-30 12:12:47 UTC (rev 2268)
@@ -2,8 +2,8 @@
# Contributor: Paul Mattal <paul at mattal.com>
# Maintainer: Paul Mattal <pjmattal at elys.com>
pkgname=aufs
-pkgver=20080421
-pkgrel=2
+pkgver=20080527
+pkgrel=1
_kernver='2.6.25-ARCH'
pkgdesc="Another Unionfs Implementation that supports NFS branches"
arch=('i686' 'x86_64')
@@ -11,18 +11,27 @@
license=('GPL2')
depends=('kernel26>=2.6.25.3-1' 'kernel26<=2.6.26' 'glibc' 'aufs-utils')
install=$pkgname.install
-source=(ftp://ftp.archlinux.org/other/aufs/$pkgname-$pkgver.tar.gz \
- vfs_splice.diff)
+source=(ftp://ftp.archlinux.org/other/aufs/$pkgname-$pkgver.tar.gz)
options=(!libtool !makeflags)
-md5sums=('e3c68f2357cac5a9ffab3f69bb39f041'
- 'c3a52c86149908f3a44f233d1174fb0a')
+md5sums=('4378221aa5763d1f4408a0bbb0e80f0a')
build() {
cd $startdir/src/$pkgname || return 1
# use splice functions exported by unionfs kernel patch
- patch -p1 < $startdir/src/vfs_splice.diff
+ # - important for loopback fs mounts
+ sed s'|#if.*KERNEL_VERSION(2, 6, 26).*|#if 0|' -i fs/aufs25/vfsub.h \
+ || return 1
+ sed -i 's|CONFIG_AUFS_SPLICE_PATCH =|CONFIG_AUFS_SPLICE_PATCH = y|' \
+ local.mk || return 1
+ # patch for spin_lock conflict with the new unionfs patch
+ sed s'|#if.*KERNEL_VERSION(2, 6, 26).*|#if 0|' -i fs/aufs25/cpup.c \
+ || return 1
+
+ sed -i 's|.*CONFIG_AUFS_SHWH =.*|CONFIG_AUFS_SHWH = y|' \
+ local.mk || return 1
+
# configure for NFS by:
# 1) configure local.mk to use FILP and LHASH
sed -i 's|CONFIG_AUFS_PUT_FILP_PATCH =|CONFIG_AUFS_PUT_FILP_PATCH = y|' \
Deleted: vfs_splice.diff
===================================================================
--- vfs_splice.diff 2008-05-30 12:12:25 UTC (rev 2267)
+++ vfs_splice.diff 2008-05-30 12:12:47 UTC (rev 2268)
@@ -1,24 +0,0 @@
-This patch enables aufs to use the splice functions exported by the
-unionfs kernel patch.
-
-diff -Nru aufs.orig/fs/aufs25/vfsub.c aufs/fs/aufs25/vfsub.c
---- aufs.orig/fs/aufs25/vfsub.c 2008-04-19 19:50:40.000000000 -0500
-+++ aufs/fs/aufs25/vfsub.c 2008-04-19 19:51:24.000000000 -0500
-@@ -272,7 +272,7 @@
- AuDLNPair(in->f_dentry), *ppos, (unsigned long)len, flags);
-
- lockdep_off();
-- err = do_splice_to(in, ppos, pipe, len, flags);
-+ err = vfs_splice_to(in, ppos, pipe, len, flags);
- lockdep_on();
- if (err >= 0)
- au_update_fuse_h_inode(in->f_vfsmnt, in->f_dentry); /*ignore*/
-@@ -288,7 +288,7 @@
- AuDLNPair(out->f_dentry), *ppos, (unsigned long)len, flags);
-
- lockdep_off();
-- err = do_splice_from(pipe, out, ppos, len, flags);
-+ err = vfs_splice_from(pipe, out, ppos, len, flags);
- lockdep_on();
- if (err >= 0)
- au_update_fuse_h_inode(out->f_vfsmnt, out->f_dentry); /*ignore*/
More information about the arch-commits
mailing list